Subject: Re: [Roll] PathDigest question

From: Mukul Goyal <[email-masked]>
Date: Fri, 23 Oct 2009 21:56:49 -0500 (CDT)

Hi Pascal

Thanks for the clarification. 

So, resetting the trickle timer (for DIO) makes sense when the parent(s) to whom DAOs are being forwarded advertize modified PathDigest and source routes are being used.

In view of this clarification, I was wondering if we should modify the way PathDigest is calculated:

Rather than calculating CRC-32 checksum on the PathDigest of most preferred parent concatenated with parent IDs, perhaps checksum should be calculated on the string formed by concatenating PathDigest(s) of the parent(s) to whom DAOs are forwarded and all the parent IDs.

This will ensure that if any parent to whom I am forwarding DAOs changes PathDigest, my own PathDigest would change.

Thanks
Mukul
----- Original Message -----
From: "Pascal Thubert (pthubert)" <[email-masked]>
To: "Mukul Goyal" <[email-masked]>
Cc: "roll" <[email-masked]>
Sent: Friday, October 23, 2009 1:09:01 PM GMT -06:00 US/Canada Central
Subject: RE: PathDigest question

Hi Mukul:

A path digest tells that something has changed in the inwards path of this node and suggest that DAOs should be sent.
This is mostly useful for source route. For stateful, all you need to know is that your parents change.
Also, this is mostly meaningful if the DAOs do not fan out since this is the digest of the preferred path. 

I think the current draft suggests to send DAOs over one parent (as opposed to fan out) but does not impose anything on which that parent is (preferred or not). 

WRT trickle, if there's no source route, I agree with you and I do not see why that would require to do anything.
If there's source route, then the exponential backoff of RAs might help ensure that all the children reconstruct their path faster.

What do you think? 

Pascal
>-----Original Message-----
>From: Mukul Goyal [mailto:[email-masked]]
>Sent: vendredi 23 octobre 2009 18:24
>To: Pascal Thubert (pthubert)
>Cc: roll
>Subject: PathDigest question
>
>Hi Pascal and Tim
>
>I had a doubt about PathDigest.
>
>Sec 5.3.4.2 of rpl-3 draft says that when "The node receives a modified RA-DIO message from a DAG parent", its
>trickle timer is reset.
>
>Does it mean that the trickle timer is reset if a parent RIO shows modified PathDigest?
>
>Now, a modified PathDigest from the parent means that the parent's parent set changed. I was wondering why
>should it be an inconsistency for me. If information in this RIO does not force me to change my
>rank/parent_set/routing_metrics, I need not reset my trickle timer.
>
>Now, parent's changed PathDigest may be used to trigger NA-DAOs to this parent (as the draft already
>mentions). But I am not sure why should it cause resetting of trickle timer governing RA-DIOs.
>
>Thanks
>Mukul